import java.net.*;
import java.io.*;

public class EchoSrv {
	public static void main(String[] args) throws IOException {
		ServerSocket serverSocket = null;
		Socket newSocket = null;
		try {
			serverSocket = new ServerSocket(7);
			String s = serverSocket.toString();
			System.out.println("Listen: " + s);
		} catch (IOException e) {
			System.err.println("Could not listen on port: 7.");
			System.exit(-1);
		}
		while (true) {
			newSocket = serverSocket.accept();
			System.out.println("Accepted.");
			new EchoSrvThread(newSocket).start();
		}
    }
}
