import java.net.*;
import java.io.*;

public class EchoSrvThread extends Thread {
	private Socket socket = null;
	byte[] buf = new byte[17462];

	public EchoSrvThread(Socket socket) throws IOException {
		super("EchoSrv");
		this.socket = socket;
		System.out.println("EchoSrvThread was created.");
    }

    public void run() {
		try {
			String sSocket = socket.toString();
			System.out.println("Rcv: " + sSocket);
			InputStream in = socket.getInputStream();
			OutputStream out = socket.getOutputStream();
			while (true) {
				int n = in.read(buf);
				if (n == -1) break;
				System.out.println("Sending:" + sSocket);
				out.write(buf, 0, n);
			}
			out.close();
			in.close();
			socket.close();
			System.out.println("Disconnected: " + sSocket);
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}
